## r-cran-desolve 1.12

=== DESCRIPTION ===
Package: deSolve
Version: 1.12
Title: Solvers for Initial Value Problems of Differential Equations
        (ODE, DAE, DDE)
Authors@R: c(person("Karline","Soetaert", role = c("aut"), 
                     email = "karline.soetaert@nioz.nl"),
             person("Thomas","Petzoldt", role = c("aut", "cre"),
                     email = "thomas.petzoldt@tu-dresden.de"),
             person("R. Woodrow","Setzer", role = c("aut"),
                     email = "setzer.woodrow@epa.gov"),
             person("odepack authors", role = "cph"))
Author: Karline Soetaert [aut],  
        Thomas Petzoldt [aut, cre],  
        R. Woodrow Setzer [aut], 
        odepack authors [cph]
Maintainer: Thomas Petzoldt <thomas.petzoldt@tu-dresden.de>
Depends: R (>= 2.15.0)
Imports: methods, graphics, grDevices, stats
Suggests: scatterplot3d
Description: Functions that solve initial value problems of a system
        of first-order ordinary differential equations (ODE), of
        partial differential equations (PDE), of differential
        algebraic equations (DAE), and of delay differential
        equations.  The functions provide an interface to the FORTRAN
        functions lsoda, lsodar, lsode, lsodes of the ODEPACK
        collection, to the FORTRAN functions dvode and daspk and a
        C-implementation of solvers of the Runge-Kutta family with
        fixed or variable time steps.  The package contains routines
        designed for solving ODEs resulting from 1-D, 2-D and 3-D
        partial differential equations (PDE) that have been converted
        to ODEs by numerical differencing.
License: GPL (>= 2)
URL: http://desolve.r-forge.r-project.org/
LazyData: yes
NeedsCompilation: yes
Packaged: 2015-07-04 13:09:17 UTC; thpe
Repository: CRAN
Date/Publication: 2015-07-06 19:00:29

=== debian/changelog ===
r-cran-desolve (1.12-1) unstable; urgency=low

  * Initial release. (Closes: #797468)

 -- Jonathon Love <jon@thon.cc>  Sun, 30 Aug 2015 18:08:41 +0200

=== debian/control ===
Source: r-cran-desolve
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jonathon Love <jon@thon.cc>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-desolve.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-desolve.git
Homepage: http://desolve.r-forge.r-project.org/

Package: r-cran-desolve
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-base
Description: GNU R package providing functions that solve initial value problems
 The deSolve package is a GNU R package providing functions that solve
 initial value problems of a system of first-order ordinary differential
 equations (ODE), of partial differential equations (PDE), of
 differential algebraic equations (DAE), and of delay differential
 equations.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/deSolve_([\d\.-]*).tar.gz

## r-cran-desolve 1.13

=== debian/changelog ===
r-cran-desolve (1.13-1) unstable; urgency=low

  [ Jonathon Love ]
  * New upstream release 

  [ Andreas Tille ]
  * cme fix dpkg-control

 -- Jonathon Love <jon@thon.cc>  Thu, 21 Apr 2016 15:10:05 +1000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-desolve.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-desolve.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-desolve.git
 Homepage: http://desolve.r-forge.r-project.org/
 
 Package: r-cran-desolve

## r-cran-desolve 1.14

=== debian/changelog ===
r-cran-desolve (1.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Sun, 13 Nov 2016 18:48:44 +0100

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,20 @@
 Section: gnu-r
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               cdbs,
+               dh-r,
                r-base-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-desolve.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-desolve.git
-Homepage: http://desolve.r-forge.r-project.org/
+Homepage: https://cran.r-project.org/package=deSolve
 
 Package: r-cran-desolve
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         r-base
+         ${misc:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R package providing functions that solve initial value problems
  The deSolve package is a GNU R package providing functions that solve
  initial value problems of a system of first-order ordinary differential

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/deSolve_([\d\.-]*).tar.gz

## r-cran-desolve 1.20

=== DESCRIPTION ===
Package: deSolve
Version: 1.20
Title: Solvers for Initial Value Problems of Differential Equations
        ('ODE', 'DAE', 'DDE')
Authors@R: c(person("Karline","Soetaert", role = c("aut"), 
                     email = "karline.soetaert@nioz.nl"),
             person("Thomas","Petzoldt", role = c("aut", "cre"),
                     email = "thomas.petzoldt@tu-dresden.de"),
             person("R. Woodrow","Setzer", role = c("aut"),
                     email = "setzer.woodrow@epa.gov"),
             person("odepack authors", role = "cph"))
Author: Karline Soetaert [aut],  
        Thomas Petzoldt [aut, cre],  
        R. Woodrow Setzer [aut], 
        odepack authors [cph]
Maintainer: Thomas Petzoldt <thomas.petzoldt@tu-dresden.de>
Depends: R (>= 2.15.0)
Imports: methods, graphics, grDevices, stats
Suggests: scatterplot3d
Description: Functions that solve initial value problems of a system
        of first-order ordinary differential equations ('ODE'), of
        partial differential equations ('PDE'), of differential
        algebraic equations ('DAE'), and of delay differential
        equations.  The functions provide an interface to the FORTRAN
        functions 'lsoda', 'lsodar', 'lsode', 'lsodes' of the 'ODEPACK'
        collection, to the FORTRAN functions 'dvode', 'zvode' and 'daspk'
	and a C-implementation of solvers of the 'Runge-Kutta' family with
        fixed or variable time steps.  The package contains routines
        designed for solving 'ODEs' resulting from 1-D, 2-D and 3-D
        partial differential equations ('PDE') that have been converted
        to 'ODEs' by numerical differencing.
License: GPL (>= 2)
URL: http://desolve.r-forge.r-project.org/
LazyData: yes
NeedsCompilation: yes
Packaged: 2017-07-13 20:03:15 UTC; user
Repository: CRAN
Date/Publication: 2017-07-14 16:34:05 UTC

=== debian/changelog ===
r-cran-desolve (1.20-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debian/rules: unset executable flag from R scripts
  * debhelper 10
  * drop unused lintian-overrides
  * Standards-Version: 4.1.0 (no changes needed)
  * Add README.source to document binary data

 -- Andreas Tille <tille@debian.org>  Fri, 08 Sep 2017 16:49:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Jonathon Love <jon@thon.cc>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-desolve.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-desolve.git
 Homepage: https://cran.r-project.org/package=deSolve

## r-cran-desolve 1.21

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: deSolve
-Version: 1.20
+Version: 1.21
 Title: Solvers for Initial Value Problems of Differential Equations
         ('ODE', 'DAE', 'DDE')
 Authors@R: c(person("Karline","Soetaert", role = c("aut"), 
@@ -9,10 +9,10 @@
              person("R. Woodrow","Setzer", role = c("aut"),
                      email = "setzer.woodrow@epa.gov"),
              person("odepack authors", role = "cph"))
-Author: Karline Soetaert [aut],  
-        Thomas Petzoldt [aut, cre],  
-        R. Woodrow Setzer [aut], 
-        odepack authors [cph]
+Author: Karline Soetaert [aut],
+  Thomas Petzoldt [aut, cre],
+  R. Woodrow Setzer [aut],
+  odepack authors [cph]
 Maintainer: Thomas Petzoldt <thomas.petzoldt@tu-dresden.de>
 Depends: R (>= 2.15.0)
 Imports: methods, graphics, grDevices, stats
@@ -33,6 +33,6 @@
 URL: http://desolve.r-forge.r-project.org/
 LazyData: yes
 NeedsCompilation: yes
-Packaged: 2017-07-13 20:03:15 UTC; user
+Packaged: 2018-05-08 19:29:44 UTC; user
 Repository: CRAN
-Date/Publication: 2017-07-14 16:34:05 UTC
+Date/Publication: 2018-05-09 09:38:07 UTC

=== debian/changelog ===
r-cran-desolve (1.21-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Standards-Version: 4.1.4
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 10 May 2018 11:55:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: r-cran-desolve
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Jonathon Love <jon@thon.cc>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-desolve.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-desolve.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-desolve
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-desolve.git
 Homepage: https://cran.r-project.org/package=deSolve
 
 Package: r-cran-desolve

## r-cran-desolve 1.24

=== debian/changelog ===
r-cran-desolve (1.24-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jul 2019 15:32:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-desolve
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-desolve.git
 Homepage: https://cran.r-project.org/package=deSolve

## r-cran-desolve 1.27.1

=== DESCRIPTION ===
Package: deSolve
Version: 1.27.1
Title: Solvers for Initial Value Problems of Differential Equations
        ('ODE', 'DAE', 'DDE')
Authors@R: c(person("Karline","Soetaert", role = c("aut"), 
                     email = "karline.soetaert@nioz.nl",
                     comment = c(ORCID = "0000-0003-4603-7100")),
             person("Thomas","Petzoldt", role = c("aut", "cre"),
                     email = "thomas.petzoldt@tu-dresden.de",
                     comment = c(ORCID = "0000-0002-4951-6468")),
             person("R. Woodrow","Setzer", role = c("aut"),
                     email = "setzer.woodrow@epa.gov",
                     comment = c(ORCID = "0000-0002-6709-9186")),
             person("Peter N.","Brown", role = "ctb", 
                     comment = "files ddaspk.f, dvode.f, zvode.f"),
             person("George D.","Byrne", role = "ctb", 
                     comment = "files dvode.f, zvode.f"),
             person("Ernst","Hairer", role = "ctb", 
                     comment = "files radau5.f, radau5a"),
             person("Alan C.","Hindmarsh", role = "ctb", 
                     comment = "files ddaspk.f, dlsode.f, dvode.f, zvode.f, opdkmain.f, opdka1.f"),
             person("Cleve","Moler", role = "ctb", 
                     comment = "file dlinpck.f"),
             person("Linda R.","Petzold", role = "ctb", 
                     comment = "files ddaspk.f, dlsoda.f"),
             person("Youcef", "Saad", role = "ctb", 
                     comment = "file dsparsk.f"),
             person("Clement W.","Ulrich", role = "ctb", 
                     comment = "file ddaspk.f")
           )
Author: Karline Soetaert [aut] (<https://orcid.org/0000-0003-4603-7100>),
  Thomas Petzoldt [aut, cre] (<https://orcid.org/0000-0002-4951-6468>),
  R. Woodrow Setzer [aut] (<https://orcid.org/0000-0002-6709-9186>),
  Peter N. Brown [ctb] (files ddaspk.f, dvode.f, zvode.f),
  George D. Byrne [ctb] (files dvode.f, zvode.f),
  Ernst Hairer [ctb] (files radau5.f, radau5a),
  Alan C. Hindmarsh [ctb] (files ddaspk.f, dlsode.f, dvode.f, zvode.f,
    opdkmain.f, opdka1.f),
  Cleve Moler [ctb] (file dlinpck.f),
  Linda R. Petzold [ctb] (files ddaspk.f, dlsoda.f),
  Youcef Saad [ctb] (file dsparsk.f),
  Clement W. Ulrich [ctb] (file ddaspk.f)
Maintainer: Thomas Petzoldt <thomas.petzoldt@tu-dresden.de>
Depends: R (>= 3.3.0)
Imports: methods, graphics, grDevices, stats
Suggests: scatterplot3d, FME
Description: Functions that solve initial value problems of a system
        of first-order ordinary differential equations ('ODE'), of
        partial differential equations ('PDE'), of differential
        algebraic equations ('DAE'), and of delay differential
        equations.  The functions provide an interface to the FORTRAN
        functions 'lsoda', 'lsodar', 'lsode', 'lsodes' of the 'ODEPACK'
        collection, to the FORTRAN functions 'dvode', 'zvode' and 'daspk'
        and a C-implementation of solvers of the 'Runge-Kutta' family with
        fixed or variable time steps.  The package contains routines
        designed for solving 'ODEs' resulting from 1-D, 2-D and 3-D
        partial differential equations ('PDE') that have been converted
        to 'ODEs' by numerical differencing.
License: GPL (>= 2)
URL: http://desolve.r-forge.r-project.org/
LazyData: yes
NeedsCompilation: yes
Packaged: 2020-01-02 15:43:34 UTC; ripley
Repository: CRAN
Date/Publication: 2020-01-02 17:36:18 UTC

=== debian/changelog ===
r-cran-desolve (1.27.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 04 Jan 2020 09:36:49 +0100

r-cran-desolve (1.27-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Mon, 30 Dec 2019 22:54:57 +0100

r-cran-desolve (1.25-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Wed, 27 Nov 2019 11:50:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-desolve
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-desolve.git
 Homepage: https://cran.r-project.org/package=deSolve

## r-cran-desolve 1.28

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: deSolve
-Version: 1.27.1
+Version: 1.28
 Title: Solvers for Initial Value Problems of Differential Equations
         ('ODE', 'DAE', 'DDE')
 Authors@R: c(person("Karline","Soetaert", role = c("aut"), 
@@ -60,6 +60,6 @@
 URL: http://desolve.r-forge.r-project.org/
 LazyData: yes
 NeedsCompilation: yes
-Packaged: 2020-01-02 15:43:34 UTC; ripley
+Packaged: 2020-03-07 16:59:31 UTC; thpe
 Repository: CRAN
-Date/Publication: 2020-01-02 17:36:18 UTC
+Date/Publication: 2020-03-08 23:00:05 UTC

=== debian/changelog ===
r-cran-desolve (1.28-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 20 Mar 2020 09:59:19 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-desolve
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-desolve.git
 Homepage: https://cran.r-project.org/package=deSolve
+Rules-Requires-Root: no
 
 Package: r-cran-desolve
 Architecture: any

## r-cran-desolve 1.30

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: deSolve
-Version: 1.28
+Version: 1.30
 Title: Solvers for Initial Value Problems of Differential Equations
         ('ODE', 'DAE', 'DDE')
 Authors@R: c(person("Karline","Soetaert", role = c("aut"), 
@@ -60,6 +60,6 @@
 URL: http://desolve.r-forge.r-project.org/
 LazyData: yes
 NeedsCompilation: yes
-Packaged: 2020-03-07 16:59:31 UTC; thpe
+Packaged: 2021-10-07 06:36:26 UTC; user
 Repository: CRAN
-Date/Publication: 2020-03-08 23:00:05 UTC
+Date/Publication: 2021-10-07 08:40:05 UTC

=== debian/changelog ===
r-cran-desolve (1.30-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 19:53:24 +0200

r-cran-desolve (1.29-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 24 Sep 2021 16:10:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-desolve
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-desolve.git
 Homepage: https://cran.r-project.org/package=deSolve

## r-cran-desolve 1.33

=== debian/changelog ===
r-cran-desolve (1.33-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jul 2022 22:08:59 +0200

r-cran-desolve (1.32-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 28 Apr 2022 10:03:11 +0200

r-cran-desolve (1.31-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 05 Apr 2022 17:56:05 +0200

## r-cran-desolve 1.34

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: deSolve
-Version: 1.30
+Version: 1.34
 Title: Solvers for Initial Value Problems of Differential Equations
         ('ODE', 'DAE', 'DDE')
 Authors@R: c(person("Karline","Soetaert", role = c("aut"), 
@@ -60,6 +60,6 @@
 URL: http://desolve.r-forge.r-project.org/
 LazyData: yes
 NeedsCompilation: yes
-Packaged: 2021-10-07 06:36:26 UTC; user
+Packaged: 2022-10-22 14:50:56 UTC; thpe
 Repository: CRAN
-Date/Publication: 2021-10-07 08:40:05 UTC
+Date/Publication: 2022-10-22 18:15:07 UTC

=== debian/changelog ===
r-cran-desolve (1.34-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 28 Oct 2022 11:38:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-desolve
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Jonathon Love <jon@thon.cc>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-desolve
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-desolve.git
+Homepage: https://cran.r-project.org/package=deSolve
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-desolve
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-desolve.git
-Homepage: https://cran.r-project.org/package=deSolve
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-desolve
 Architecture: any

## r-cran-desolve 1.35

=== debian/changelog ===
r-cran-desolve (1.35-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Update lintian override info format in d/r-cran-desolve.lintian-overrides on
    line 2.

 -- Andreas Tille <tille@debian.org>  Tue, 13 Jun 2023 11:35:30 +0200

## r-cran-desolve 1.36

=== debian/changelog ===
r-cran-desolve (1.36-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 15 Aug 2023 11:46:33 +0200

## r-cran-desolve 1.37

=== debian/changelog ===
r-cran-desolve (1.37-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 05 Sep 2023 09:20:09 +0200

## r-cran-desolve 1.40

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: deSolve
-Version: 1.34
+Version: 1.40
 Title: Solvers for Initial Value Problems of Differential Equations
         ('ODE', 'DAE', 'DDE')
 Authors@R: c(person("Karline","Soetaert", role = c("aut"), 
@@ -60,6 +60,6 @@
 URL: http://desolve.r-forge.r-project.org/
 LazyData: yes
 NeedsCompilation: yes
-Packaged: 2022-10-22 14:50:56 UTC; thpe
+Packaged: 2023-11-27 22:26:41 UTC; thpe
 Repository: CRAN
-Date/Publication: 2022-10-22 18:15:07 UTC
+Date/Publication: 2023-11-27 23:30:02 UTC

=== debian/changelog ===
r-cran-desolve (1.40-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2023 20:38:28 +0100

r-cran-desolve (1.38-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 10 Sep 2023 18:22:15 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-desolve
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-desolve.git
 Homepage: https://cran.r-project.org/package=deSolve
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name "*.R" -executable -exec chmod -x \{\} \;
	find debian -name "*.f" -executable -exec chmod -x \{\} \;
	find debian -name "*.c" -executable -exec chmod -x \{\} \;
	find debian -name "*.gz" -executable -exec chmod -x \{\} \;
	find debian -name "*.Rnw" -executable -exec chmod -x \{\} \;
	find debian -name "*.RData" -executable -exec chmod -x \{\} \;
	find debian -name CITATION -executable -exec chmod -x \{\} \;

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/deSolve_([\d\.-]*).tar.gz

## r-cran-desolve 1.41

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: deSolve
-Version: 1.40
+Version: 1.41
 Title: Solvers for Initial Value Problems of Differential Equations
         ('ODE', 'DAE', 'DDE')
 Authors@R: c(person("Karline","Soetaert", role = c("aut"), 
@@ -28,9 +28,11 @@
              person("Clement W.","Ulrich", role = "ctb", 
                      comment = "file ddaspk.f")
            )
-Author: Karline Soetaert [aut] (<https://orcid.org/0000-0003-4603-7100>),
-  Thomas Petzoldt [aut, cre] (<https://orcid.org/0000-0002-4951-6468>),
-  R. Woodrow Setzer [aut] (<https://orcid.org/0000-0002-6709-9186>),
+Author: Karline Soetaert [aut] (ORCID: <https://orcid.org/0000-0003-4603-7100>),
+  Thomas Petzoldt [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-4951-6468>),
+  R. Woodrow Setzer [aut] (ORCID:
+    <https://orcid.org/0000-0002-6709-9186>),
   Peter N. Brown [ctb] (files ddaspk.f, dvode.f, zvode.f),
   George D. Byrne [ctb] (files dvode.f, zvode.f),
   Ernst Hairer [ctb] (files radau5.f, radau5a),
@@ -43,7 +45,7 @@
 Maintainer: Thomas Petzoldt <thomas.petzoldt@tu-dresden.de>
 Depends: R (>= 3.3.0)
 Imports: methods, graphics, grDevices, stats
-Suggests: scatterplot3d, FME
+Suggests: scatterplot3d, nlme, FME
 Description: Functions that solve initial value problems of a system
         of first-order ordinary differential equations ('ODE'), of
         partial differential equations ('PDE'), of differential
@@ -57,9 +59,9 @@
         partial differential equations ('PDE') that have been converted
         to 'ODEs' by numerical differencing.
 License: GPL (>= 2)
-URL: http://desolve.r-forge.r-project.org/
+URL: https://github.com/tpetzoldt/deSolve/
 LazyData: yes
 NeedsCompilation: yes
-Packaged: 2023-11-27 22:26:41 UTC; thpe
+Packaged: 2026-02-06 07:24:43 UTC; thpe
 Repository: CRAN
-Date/Publication: 2023-11-27 23:30:02 UTC
+Date/Publication: 2026-02-06 08:30:02 UTC

=== debian/changelog ===
r-cran-desolve (1.41-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 13 Feb 2026 08:16:14 +0900

=== debian/control ===
Source: r-cran-desolve
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Jonathon Love <jon@thon.cc>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-desolve
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-desolve.git
Homepage: https://cran.r-project.org/package=deSolve
Rules-Requires-Root: no

Package: r-cran-desolve
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R package providing functions that solve initial value problems
 The deSolve package is a GNU R package providing functions that solve
 initial value problems of a system of first-order ordinary differential
 equations (ODE), of partial differential equations (PDE), of
 differential algebraic equations (DAE), and of delay differential
 equations.
